#pragma once
#include "resource.h"

extern void saveSettings();
extern void printVers();
extern void syncCurSetToFileSet();
extern BOOL checkSDI(bool);


// SetDlg dialog

class SetDlg : public CDialog
{
	DECLARE_DYNAMIC(SetDlg)

public:
	SetDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~SetDlg();

// Dialog Data
	enum { IDD = IDD_DIALOG2 };

	BOOL Create( CWnd* pParent );

	LRESULT onAcadKeepFocus( WPARAM, LPARAM );
	BOOL OnInitDialog();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	CComboBox m_cmbAksType;
	double m_dX;
	double m_dY;
	double m_dZ;
	int m_iFX;
	int m_iFY;
	int m_iFZ;
	CSliderCtrl m_SliderX;
	CSliderCtrl m_SliderY;
	CSliderCtrl m_SliderZ;
	BOOL m_iMirror;
	BOOL m_SelElems;
	int m_SegQty;
	afx_msg void OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin3(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin4(NMHDR *pNMHDR, LRESULT *pResult);
	void setEnabled(void);
	afx_msg void OnCbnSelchangeCombo2();
	CEdit m_AxisX;
	CEdit m_AxisY;
	CEdit m_AxisZ;
	CSpinButtonCtrl m_SpinX;
	CSpinButtonCtrl m_SpinY;
	CSpinButtonCtrl m_SpinZ;
	afx_msg void OnBnClickedOk();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnEnKillfocusEdit2();
	void setAngle(double dval, int ident);
	void setFactor(int ival, int ident);
	afx_msg void OnEnKillfocusEdit3();
	afx_msg void OnEnKillfocusEdit4();
	BOOL m_iNewDoc;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnDeltaposSpin5(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin6(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin7(NMHDR *pNMHDR, LRESULT *pResult);
	CButton m_chkCrDoc;
	void syncToSettings(void);
};
